import { async, ComponentFixture, TestBed } from "@angular/core/testing";

import { OtpComponent } from "./otp.component";

describe("OtpComponent", () => {
  beforeEach(async(() => {
    TestBed.configureTestingModule({
      declarations: [OtpComponent]
    }).compileComponents();
  }));

  it("should create the app", () => {
    const fixture = TestBed.createComponent(OtpComponent);
    const app = fixture.debugElement.componentInstance;
    expect(app).toBeTruthy();
  });

  it(`should have as title 'otp'`, () => {
    const fixture = TestBed.createComponent(OtpComponent);
    const app = fixture.debugElement.componentInstance;
    expect(app.title).toEqual("otp");
  });

  it("should render title in a h1 tag", () => {
    const fixture = TestBed.createComponent(OtpComponent);
    fixture.detectChanges();
    const compiled = fixture.debugElement.nativeElement;
    expect(compiled.querySelector("h1").textContent).toContain(
      "Welcome to otp!"
    );
  });
});
