import { Component, OnInit } from "@angular/core";

@Component({
  selector: "app-dashboard",
  templateUrl: "./dashboard.component.html",
  styleUrls: ["./dashboard.component.scss"]
})
export class DashboardComponent implements OnInit {
  user: any;
  userString: string;
  name: string;
  ptoken: string;
  stoken: string;
  certPem: string;
  caCertPem: string;

  constructor() {}

  ngOnInit() {
    this.userString = localStorage.getItem("user");
    this.user = JSON.parse(this.userString);
    this.name = this.user.name;
    this.ptoken = localStorage.getItem("ptoken");
    this.stoken = localStorage.getItem("stoken");
    this.certPem = localStorage.getItem("cert");
    this.caCertPem = localStorage.getItem("caCert");
  }
}
