const express = require("express");
const router = express.Router();

const schedule = require("../models/schedule");
const config = require("../config/database");

router.post("/time", (req, res, next) => {
  let newTable = new schedule({
    subjectname: req.body.subjectname
  });
  schedule.addSchedule(newTable, (err, schedule) => {
    if (err) {
      res.json({ success: false, msg: "시간표 등록 실패" });
    } else {
      res.json({ success: true, msg: "시간표 등록 성공" });
    }
  });
});

module.exports = router;
